## edu.cwru.SimpleRTS.model.upgrade
Class Production<T extends Template>

    java.lang.Object
      edu.cwru.SimpleRTS.model.upgrade.Production<T>

    public abstract class Production<T extends Template>

extends java.lang.Object

Constructor Summary
`Production(T template, int timetofinish)`

Method Summary
`T` `decrementTime()` Decrement time and return the template for what it is trying to produce if you have

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Production

    public Production(T template,
                      int timetofinish)

Method Detail

### decrementTime

    public T decrementTime()

  Decrement time and return the template for what it is trying to produce if you have

  Returns:
    The template being produced if it is done, or null if it is not.